Bug 434761 - F-9 pv_ops: make console "just work" again
F-9 pv_ops: make console "just work" again
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel-xen-2.6 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Markus Armbruster
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: PvOpsTracker
  Show dependency treegraph
 
Reported: 2008-02-25 05:57 EST by Mark McLoughlin
Modified: 2008-04-14 14:21 EDT (History)
4 users (show)

See Also:
Fixed In Version: kernel-xen-2.6.25-0.22.rc9.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-14 14:21:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Make hvc0 preferred console in domU (645 bytes, patch)
2008-02-27 08:49 EST, Markus Armbruster
no flags Details | Diff

  None (edit)
Description Mark McLoughlin 2008-02-25 05:57:15 EST
With the F-9 pv_ops kernel-xen builds, we have to add "console=hvc" to the
kernel command line in order to get output on the Xen console.

We didn't need to do "console=xvc" before pv_ops, so we need to figure out how
to get back to that nicer situation.
Comment 1 Markus Armbruster 2008-02-27 08:49:19 EST
Created attachment 296063 [details]
Make hvc0 preferred console in domU
Comment 2 Mark McLoughlin 2008-03-07 03:10:14 EST
Thanks Markus, this in rawhide kernel-xen
Comment 3 Mark McLoughlin 2008-04-01 09:58:57 EDT
Okay, I've dropped this patch again in kernel-xen-2.6-2.6.25-0.12.rc7.git6.fc9
at  Markus's request

See bug #437706 for more details
Comment 4 Mark McLoughlin 2008-04-03 09:40:28 EDT
Markus has a good summary of the issue here:

  http://lkml.org/lkml/2008/4/2/209
Comment 5 Mark McLoughlin 2008-04-04 13:28:05 EDT
Markus just sent this patch upstream:

  http://lkml.org/lkml/2008/4/4/239

Assuming it builds, it'll be in kernel-xen-2.6-2.6.25-0.16.rc8.fc9
Comment 6 Mark McLoughlin 2008-04-08 12:10:29 EDT
Okay, with pvfb configured, you don't seem to be able to force hvc to be the
preferred console using "console=hvc" 

This is with kernel-xen-2.6-2.6.25-0.19.rc8.fc9 on both i686 and x86_64
Comment 7 Markus Armbruster 2008-04-10 11:50:30 EDT
Next try: http://lkml.org/lkml/2008/4/10/209
Comment 8 Mark McLoughlin 2008-04-14 14:21:08 EDT
kernel-xen-2.6.25-0.22.rc9.fc9 includes Markus's latest patch and seems to fix
the "can't override pvfb tty console with console=hvc"

This build, or a later one, should be tagged for F-9 before GA

Note You need to log in before you can comment on or make changes to this bug.